#include <bits/stdc++.h>
using namespace std;
long long N;
long long fsol, sol;
struct slog{
    long long x, y;
}n[100005];
int main(){
    cin >> N;
    for(int i = 1; i <= N; i++){
        cin >> n[i].x >> n[i].y;
    }
    fsol = 1e16;
    for(int k = 1; k <= N; k++){
         for(int i = 1; i <= N; i++){
                if(i == k) continue;
             for(int j = 1; j <= N; j++){
                 if(j == k or j == i) continue;
                 sol = abs(n[i].x *(n[j].y - n[k].y) + n[j].x * (n[k].y - n[i].y) + n[k].x * (n[i].y - n[j].y)) / 2;
                 fsol = min(fsol, sol);
            }
        }
    }
    cout << fsol << endl;
return 0;
}